gnome-sharp 2.20.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. The main application widget. The widget and associated functions provides the easiest way to create an almost complete Gnome# application. Simply create an instance of the widget, append any menus, toolbar(s) and a statusbar, as required (this will probably be done with some functions from the following pages). Then fill in the main contents with a call to and start the main loop (with ). Gtk.Window
- Method
  System.Void `` `` `` `` To be added an object of type an object of type an object of type an object of type To be added
- Method
  System.Void `` To be added an object of type To be added
- Method
  System.Void `` `` `` To be added an object of type an object of type an object of type To be added
- Method
  System.Void `` `` `` `` `` To be added an object of type an object of type an object of type an object of type an object of type To be added
- Method
  System.Void `` `` To be added an object of type an object of type To be added
- Method
  System.Void `` `` `` `` `` `` To be added an object of type an object of type an object of type an object of type an object of type an object of type To be added
- Method
  System.Void `` `` `` `` To be added an object of type an object of type an object of type an object of type To be added
- Method
  System.String `` To be added an object of type an object of type To be added
- Method
  System.Void `` `` To be added an object of type an object of type To be added
- Method
  System.Void `` `` `` `` `` `` To be added an object of type an object of type an object of type an object of type an object of type an object of type To be added
- Method
  System.Void `` `` To be added an object of type an object of type To be added
- Method
  System.Void `` `` `` `` To be added an object of type an object of type an object of type an object of type To be added
- Method
  System.Void `` `` `` To be added an object of type an object of type an object of type To be added
- Method
  System.Void `` To be added an object of type To be added
- Method
  System.Void `` To be added an object of type To be added
- Method
  System.Void `` `` To be added an object of type an object of type To be added
- Method
  System.Void `` `` To be added an object of type an object of type To be added
- Method
  System.Void `` `` To be added an object of type an object of type To be added
- Method
  System.Void `` `` To be added an object of type an object of type To be added
- Method
  System.Void `` `` `` To be added an object of type an object of type an object of type To be added
- Method
  System.Void `` `` To be added an object of type an object of type To be added
- Method
  System.Void `` `` Sets the of the application window, but uses as its container. an object of type an object of type
- Method
  System.Void `` `` To be added an object of type an object of type To be added
- Method
  System.Void `` `` `` `` `` To be added an object of type an object of type an object of type an object of type an object of type To be added
- Method
  System.Void `` To be added an object of type To be added
- Method
  System.Void `` `` `` `` To be added an object of type an object of type an object of type an object of type To be added
- Method
  System.Void `` Specify whether should automatically save the dock's layout configuration via gnome-config whenever it changes or not. an object of type To be added
- Method
  System.Void `` `` `` To be added an object of type an object of type an object of type To be added
- Constructor
  Internal constructor
  Pointer to the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new instance.
  an object of type
  an object of type
- Property
  Gtk.Toolbar Sets the main toolbar of the application window. an object of type
- Property
  Gtk.Widget The content area of the main window of the . an object of type
- Property
  Gtk.MenuBar Sets the of the application window. an object of type
- Property
  Gtk.Widget The status bar of the application window. an object of type
- Property
  System.String To be added a To be added GLib.Property("app_id")
- Method
  Gtk.Widget `` `` `` To be added a a a a To be added
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
  System.Obsolete
- Constructor
  To be added
  To be added
- Property
  System.String The application name a
- Property
  System.String The application's install prefix a
- Property
  Gtk.AccelGroup The 's a
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.